Bug 965126 - License metadata do not reflect cpansign license
License metadata do not reflect cpansign license
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: perl-Module-Signature (Show other bugs)
22
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-05-20 09:29 EDT by Petr Pisar
Modified: 2015-04-25 19:50 EDT (History)
3 users (show)

See Also:
Fixed In Version: perl-Module-Signature-0.78-1.fc22
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-04-22 05:38:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
CPAN 85466 None None None Never

  None (edit)
Description Petr Pisar 2013-05-20 09:29:54 EDT
script/cpansign:

=head1 COPYRIGHT

Copyright 2002, 2003, 2006 by Audrey Tang.

This program is free software; you can redistribute it and/or 
modify it under the same terms as Perl itself.

See L<http://www.perl.com/perl/misc/Artistic.html>


cpansign is distributed with the binary RPM package, but current license tag is (CC0) only. Please change the license tag value to (CC0 and (GPL+ or Artistic)).
Comment 1 Petr Pisar 2013-05-20 09:30:28 EDT
All Fedoras seem affected.
Comment 2 Paul Howarth 2013-05-20 10:00:12 EDT
I suspect that text in cpansign is an oversight rather than it being intended to be differently licensed. I've raised this upstream for clarification:

https://rt.cpan.org/Public/Bug/Display.html?id=85466
Comment 3 Fedora End Of Life 2013-12-21 10:31:36 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 4 Fedora End Of Life 2015-01-09 17:07:26 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 5 Jaroslav Reznik 2015-03-03 11:53:00 EST
This bug appears to have been reported against 'rawhide' during the Fedora 22 development cycle.
Changing version to '22'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora22
Comment 6 Fedora Update System 2015-04-08 13:43:08 EDT
perl-Test-Signature-1.11-1.fc20,perl-Module-Signature-0.77-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Test-Signature-1.11-1.fc20,perl-Module-Signature-0.77-1.fc20
Comment 7 Fedora Update System 2015-04-08 13:44:22 EDT
perl-Test-Signature-1.11-1.fc21,perl-Module-Signature-0.77-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-Test-Signature-1.11-1.fc21,perl-Module-Signature-0.77-1.fc21
Comment 8 Fedora Update System 2015-04-08 13:45:35 EDT
perl-Test-Signature-1.11-1.fc22,perl-Module-Signature-0.77-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/perl-Test-Signature-1.11-1.fc22,perl-Module-Signature-0.77-1.fc22
Comment 9 Fedora Update System 2015-04-08 13:47:17 EDT
perl-Test-Signature-1.11-1.el5,perl-Module-Signature-0.77-1.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/perl-Test-Signature-1.11-1.el5,perl-Module-Signature-0.77-1.el5
Comment 10 Fedora Update System 2015-04-08 13:48:30 EDT
perl-Test-Signature-1.11-1.el6,perl-Module-Signature-0.77-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Test-Signature-1.11-1.el6,perl-Module-Signature-0.77-1.el6
Comment 11 Fedora Update System 2015-04-18 05:34:18 EDT
perl-Module-Signature-0.78-1.fc21, perl-Test-Signature-1.11-1.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 12 Fedora Update System 2015-04-18 05:49:38 EDT
perl-Test-Signature-1.11-1.fc20, perl-Module-Signature-0.78-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2015-04-21 14:46:50 EDT
perl-Module-Signature-0.78-1.fc22, perl-Test-Signature-1.11-1.fc22 has been pushed to the Fedora 22 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2015-04-25 19:50:03 EDT
perl-Test-Signature-1.11-1.el6, perl-Module-Signature-0.78-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora Update System 2015-04-25 19:50:46 EDT
perl-Test-Signature-1.11-1.el5, perl-Module-Signature-0.78-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.